Bug 74974 - (i845) i845 video hardware is not supported by XFree86 4.2.x
i845 video hardware is not supported by XFree86 4.2.x
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
: 77381 79405 79494 80183 81405 82145 82936 85699 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-03 06:26 EDT by Leonid Kanter
Modified: 2007-04-18 12:47 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-14 10:39:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leonid Kanter 2002-10-03 06:26:08 EDT
Description of Problem:

While switching from X to virtual console 1 and back to X user font disappear
from text console (i845 integrated video)

Version-Release number of selected component (if applicable):

XFree86-4.2.0-72

How Reproducible:

always

Steps to Reproduce:
1. Install RH8 and select Russian as a default language
2. start mc on VT1 - you'll see cyrillic characters in menus
3. start X and switch from VT7 to VT1 two times

Actual Results:

All cyrillic characters shall are replaced with Latin1 characters from video
bios ROM

Expected Results:

Cyryllic characters from loaded to video RAM font must be on their places

Additional Information:
	
/etc/sysconfig/i18n:
LANG="ru_RU.UTF-8"
SUPPORTED="en_US.UTF-8:en_US:en:ru_RU.UTF-8:ru_RU:ru"
SYSFONT="latarcyrheb-sun16"
Comment 1 Mike A. Harris 2002-10-03 23:42:20 EDT
i845 is officially unsupported.  The driver is provided only as an
end user convenience in hopes that it works for some people rather
than leave them with no video at all.  I backported this driver
from CVS, and it works for many, but not all people, and it does
not affect the rest of the supported hardware, so I decided to
leave it in, so that the people it worked for, would be able to
use it at least.

Intel i845 video hardware will be officially supported, both in 2D
and in 3D when XFree86 4.3.0 comes out.

Sorry I can't do anything about this for now.

Closing WONTFIX.
Comment 2 Mike A. Harris 2002-11-06 10:24:12 EST
Since people are frequently reporting issues with i845 video, and it is
unsupported as stated above, I've decided to make this bug report the
master bug to close future duplicates against.
Comment 3 Mike A. Harris 2002-11-06 10:25:09 EST
*** Bug 77381 has been marked as a duplicate of this bug. ***
Comment 4 Mike A. Harris 2002-12-12 07:58:03 EST
*** Bug 79405 has been marked as a duplicate of this bug. ***
Comment 5 Mike A. Harris 2002-12-12 09:41:00 EST
Info update:

A lot of bug reports, and emails come in asking about i845 video, so I am
summarizing things here so there is a common place for answers to issues
regarding i845 video support.  Some common questions I am asked are:


Q) When will Red Hat Linux 8.0 have i845 support?

A) Red Hat Linux 8.0 will not likely ever support i845 video hardware.
The first release of XFree86 to support this hardware will be XFree86
4.3.0 as mentioned above, which will appear in the next release of
Red Hat Linux.  There are no plans of ever releasing an XFree86 4.3.0
update for Red Hat Linux 8.0, and no plans of backporting the i845
support from 4.3.0 to 4.2.x.


Q) Why doesn't Red Hat configure i845 cards to use "vesa"

A) During Red Hat Linux 8.0 development, initially we defaulted the
Intel i845 video hardware to using the "vesa" driver.  This driver
is dependant on the hardware's VESA VBE BIOS to work correctly. User
feedback showed that these cards do not work well at all with the
"vesa" driver, and that it would be unacceptable to default to using
"vesa" even if it happens to work for some people.  We can't fix
broken video BIOSs and so we can't make "vesa" work on something it
doesn't work properly on.


Q) Why doesn't Red Hat configure i845 cards to use "fbdev" driver

A) The fbdev driver requires that your kernel is running with a configured
framebuffer as per the Framebuffer-HOWTO.  We provide this support in our
kernel for users to use if they prefer, and XFree86 has fbdev provided as
well.  It is possible for users to configure their system to use the
XFree86 "fbdev" driver with the kernel framebuffer support by following
the instructions in the Framebuffer-HOWTO, however while we provide this
for user convenience, we do not officially support this.  It may or may
not work, and users are free to try it however.  redhat-config-xfree86
can be supplied "fbdev" as a driver name to test this once the user has
manually configured their kernel to use a framebuffer device as per the
aforementioned HOWTO.  There is no plan for the config tools to ever
support configuration of modules.conf for setting up Framebuffer devices,
so that step must be performed by the user manually.  And again, all of
this just might work - but is officially completely unsupported.


Q) Someone else I know seems to have gotten i845 working in RHL 8.0 with
   the standard i810 driver.  If this is unsupported, how is this possible?

A) The reason this is possible, is that I personally and voluntarily
backported code for i845 from an earlier state of 4.3.0 development
codebase (before 4.2.99.1) in my own personal spare time.  It is
very minimal beginnings of i845 developmental code, and was found
to work for some people.  Since it worked for more people than the
"vesa" driver did (vesa worked for nobody), and since it did not
harm support for any other hardware supported by the driver, I left
the patch in place in Red Hat Linux 8.0 in hopes it would work for
someone out there.  It does work for some people aparently, however
wether it works or not, it is merely provided for convenience to
those it happens to work for, and it is not supported by Red Hat,
nor by myself.  I do not own any Intel video hardware, and will not
touch i845 in 4.2.0/4.2.1 any further since it is officially unsupported
and advertised as such, and XFree86 4.3.0 will have support.  It would
be a huge waste of my development time (or my personal time) to spend
on any such effort.


Q) How can I get i845 to work "unofficially" somehow?

A) In addition to the information supplied above, Intel i845 code is
in XFree86 CVS right now, and that code is available in Red Hat Rawhide
as developmental software in a constant state of developmental flux,
both XFree86.org developmental, as well as Red Hat developmental.  Users
who are willing to personally accept the risks of using such unstable
development code, are free to give it a shot, but should not do so on
any important production systems or systems containing important data,
as rawhide packages are not official releases, and are not quality
tested.  WARNING: DATA CORRUPTION IS POSSIBLE FROM USING THESE PACKAGES.
At the time of this writing, i830/i845 support in rawhide and XFree86
CVS is broken, and requires both X side and kernel side fixes which
will likely be coming before long.  When that occurs is anyone's guess,
I have no idea however.


Q) Can I email you personally for help trying to install or configure
   rawhide XFree86, the kernel or anything else?

A) Please do not do that as I do not have the time to help hundreds of
individual people out with things like this, particularly when it is
doomed to failure from the beginning due to the nature of developmental
code.  If you are brave enough to risk using the experimental packages,
please subscribe to XFree86.org's mailing lists, dri-devel mailing list
on sourceforge, and to Red Hat's own mailing lists, and ask for help
there where hundreds of others are available that will try to help you.
My time is best spent hacking on XFree86, so I'm likely to not respond
to direct inquiries for assistance.

I hope these Q&A's above answer the many questions people have been 
wondering about i845 support in XFree86.  Again, please do not email
me personally asking me questions about this.  I will update this bug
report with any new information I get as time goes on.  Once I have
reason to believe the driver is even semi-stable in rawhide, I will
mention it here as well.  XFree86 4.3.0 is slated for release in the
end of January, so it is likely i845 will work by then.

Hope this helps,
Thanks.
Comment 6 Mike A. Harris 2002-12-12 09:41:31 EST
*** Bug 79494 has been marked as a duplicate of this bug. ***
Comment 7 Yan-Fa Li 2002-12-12 14:11:56 EST
Thank you for all your hardwork in this area.  Filing the bug wasn't meant as a
criticism.  Everyone benefits from your hardwork and dedication to making redhat
a top flight distribution.  I apologise if any bugs I filed made me sound
ungrateful, I'm not.  I have always known running Linux on 'brand new' hardware
is a always a dodgy prospect and being one or two generations behind is always a
safer move.  Though it seems if you throw hardware at Alan Cox, he fixes things
out of sheer bloody stubborn mindedness :>  I think more hardware companys
should just give RedHat early release hardware, just like they do with MS. 
Maybe one day.  Thanks Again.
Comment 8 Tim Coote 2002-12-13 04:22:15 EST
I see that this is 'closed wontfix'. Can I suggest that there's at least some 
easy to find warning about this hardware on the RH site: it seems mostly 
possible to work around the problem or nail that you can't with particular 
hardware. Raising awareness of the problem with possible fixes dramatically 
improves the service to customers of the distro.

in my experience the alternative is frustration and annoyance for the customer.
Comment 9 Mike A. Harris 2002-12-14 10:38:47 EST
Yan-Fa Li)

No criticism was taken from your bug report.  Just understand that Red Hat
is not a video card company, nor a video driver company.  We provide the
video drivers that are available from the XFree86 project, and thus only
the hardware supported by the XFree86 project is supported by Red Hat as
well.  Red Hat also contributes to the XFree86 project whatever bug fixes
and enhancements that we develop.  It is important to note however that it
is not Red Hat's responsibility to develop video drivers for video hardware.
In the case of the Intel i845, Intel and Tungsten Graphics have written the
video driver support for this chipset.  Since the current release of XFree86
in Red Hat Linux 8.0 is 4.2.0, and our 4.2.0 is identical to the since released
4.2.1 release driverwise, we are shipping support for every chip supported
by an official XFree86 release currently.  The existing i845 code that was
implemented recently by Tungsten Graphics is not stable, and is not compatible
with XFree86 4.2.x.  It is impossible to release support for this chip until
it is completly stable, and officially released by XFree86.org

It would not at all make any difference if Intel were to ship Red Hat video
hardware or not, as we are not a video driver shop that writes video drivers
for free.  It is the responsibility of video hardware manufacturers to
either develop video drivers for their hardware, or to provide documentation
to the community to do so, or to fund independant contractors to develop
video drivers.  It is not the responsibility of Red Hat to produce drivers
for hardware, and even if we wanted to do so, and had the manpower and
resources, the documentation for the Intel video hardware was not publically
or privately available from Intel in any case, and I'm not even sure if
it is available to us even at this date.  It is Intel's responsibility to
write video drivers for their video hardware for the platforms that they
wish their hardware to be supported on, or to pay someone else to do so.


Tim Coote)
While I certainly appreciate your opinion, if hardware is not listed
as supported, then it is not supported.  How are we supposed to keep track
of all the video hardware out there that isn't supported, and then specifically
list somewhere "this isn't supported"?  That is impossible.  We do know
what hardware XFree86 does support, because XFree86 publishes a status
document listing the supported hardware.

Before purchasing hardware, users should ensure that it is in fact supported
by the operating system they are choosing.

To all)
I spent my own personal time trying to backport minimal support for this
video adaptor into the Red Hat Linux 8.0 release in hopes that it would
work for some users.  It is negative comments like the last one, that make
me want to not bother trying to do so in the future.  It is much simpler
for me to just state that a given card is not supported and leave it at
that.  So far in my experience, it is frustration and annoyance for the
developer.

In conclusion:  You should research hardware support before you open
your wallet, and unless you see explicit claims of support for something,
assume it is not supported.

I'm reopening this bug report due to the above mention of it being closed
WONTFIX.  I'm closing it now as NOTABUG, because in fact, it is not a bug
at all that i845 is not supported.  Support for the video adaptor would
be a feature, and it is this feature which is not supported by XFree86 4.2.0.
Lack of a feature, is not a bug.

Reclosing as NOTABUG.
Comment 10 Tim Coote 2002-12-15 15:02:33 EST
Mike
Of course you are strictly correct that one should check whether a piece of kit
is supported before purchasing, that simple to cover everything that's out there
and also that this issue is a feature of XFree86.

However,
- RH's value proposition is to manage the distro's for its customers to make
their life easy - anything in the underlying products directly affects RH's brand.

- Customers have been aware of this issue for some time, but you have to
navigate thro' bugzilla to find it, and there's nothing that I can see to
suggest that that's where a punter with a problem should have a quick look for
known issues.

- In practice, it's not easy to point check all hardware support ahead of
purchase - the stuff that I bought was stock low end Dell kit with an Intel
graphics adapter. Not exactly some dodgy fly-by-night pair of enterprises, nor
very bleeding edge. 

- Personally, I feel that I'm pretty tolerant of this kind of feature in RH
provided code. But when something doesn't work as expected I need to be able to
eliminate dodgy hardware and finger trouble as soon as I can. I felt that simply
making available the fact that other users had experienced difficulties with
related configurations would be a big benefit to RH's customers, at little cost,
and would add to the brand value.

RH's choice, of course, and clearly you need to avoid scenarios I've seen with
some distros where reported problems don't get back to the original package
maintainers.

tc
Comment 11 Mike A. Harris 2002-12-15 22:59:37 EST
Tim Coote) Unfortunately however, your electrons are wasted because I am
an engineer.  I make bugfixes to code that is buggy when I can do so.  I
try to support drivers that need work.  I try to add features that are
feasible and stable to add.  I do not however work in marketing, tech
support, or on the Red Hat website, and none of the people who do are
reading your messages.

So, while you can share your opinion here in bugzilla, it is really not
getting anywhere that it would matter ultimately.  I am doing my job,
by telling people what is and is not supported, and I am trying to support
what is supported.  I also try to add support for some hardware that is 
not supported and make it supported - time permitting.

So while I can appreciate your comments, they're not really hitting ears
of those that make decisions.  Your comments are best directed not at
bugzilla, but at telephone lines leading into Red Hat, to make your voice
known and counted.

Hope this helps.

Comment 12 Tim Coote 2002-12-16 10:28:22 EST
Mike)

I think that you make my point well ;-)

is there any internet connected channel that you could recommend - I don't wish 
to hang on the 'phone, or pay the bill from the uk.

tc
Comment 13 Yan-Fa Li 2002-12-16 14:19:22 EST
Hello mharris,

actually in the past RedHat has intervened in video driver problems.
Neomagic comes to mind.  Secondly, I believe that RedHat probably should
get early hardware (and programming specs too for good measure), because
that's how problems are spotted in the first place.  The evil empire tends
to get early hardware and this makes for a better experience for us users.
I don't want to get into an argument with you over this as you are obviously
time constrained and very stressed.  RH8 works remarkably well and has an
excellent out of the box experience.  I'm sure it will get even better
as time goes by, in no small thanks to people like you.

However, your last point on not being the right person for all the comments
here.  Couldn't you just forward it to the right people ?  Visibility might
help your work load a tad and reduce some of your stress.  Just a thought.
Maybe RedHat needs a marketing bit bucket for us users to send suggestions
into.
Comment 14 Mike A. Harris 2002-12-21 14:20:46 EST
*** Bug 80183 has been marked as a duplicate of this bug. ***
Comment 15 shay.mcloughlin 2002-12-22 06:40:51 EST
Thanks for the all the info about the status of the video card support and for explaining that monitors are basically dumb and that they are not supported as such. It was exactly the help I needed. I got a supported Video Card and set the bios to use the second card as the default video card on bootup.   'redhat-config-xfree86' seemed to have problems when there were two video cards giving an error about on index out of bounds from the line                     self.resolution = d.modes[0].name  in the script /usr/share/redhat-config-xfree86/xconf.py at about line 267. This line was in a 'for' loop which I changed to              for d in screen.display:                 print d                 if d.depth == self.colordepth:                     print d.depth                     self.resolution = d.modes[0].name                 break  so that the loop would only execute once                  The command I then used was  redhat-config-xfree86 --set-card=s3virge --set-videoram=8192 -v  and it worked fine and my new fancy 43B1-M monitor is now working.  Thanks again, hope this additional info is of use to others   
Comment 16 Need Real Name 2002-12-22 14:23:17 EST
i am able to get to the GUI now after running xf86config but now i have a 
problem with the mouse.... i have tried running mouseconfig ...but in vain
the GUI is working perfectly but the mouse pointer just moves hay wire...when i 
move the mouse..... i am able to exploit all the features in the GUI using my 
keyboard...
help me in this regard


Comment 17 Mike A. Harris 2002-12-22 14:59:40 EST
*** Bug 80183 has been marked as a duplicate of this bug. ***
Comment 18 Mike A. Harris 2002-12-22 15:17:41 EST
puffpd@hotmail.com) As stated in bug #80183 - bugzilla is not a technical
support forum or a place to get configuration and end user help.  If you
require help configuring XFree86 or anything else, join the xpert@xfree86.org
mailing list and ask your question there.

Bugzilla is strictly for bug/defect tracking.

Thanks.
Comment 19 Mike A. Harris 2003-01-09 06:15:45 EST
*** Bug 81405 has been marked as a duplicate of this bug. ***
Comment 20 Mike A. Harris 2003-01-18 04:40:32 EST
*** Bug 82145 has been marked as a duplicate of this bug. ***
Comment 21 Mike A. Harris 2003-01-18 08:30:05 EST
Adding bug alias "i845" to report to simplify closing dupes.
Comment 22 Mike A. Harris 2003-01-29 02:53:28 EST
*** Bug 82936 has been marked as a duplicate of this bug. ***
Comment 23 Mike A. Harris 2003-03-11 13:07:16 EST
*** Bug 85699 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.